| CustomAndroidAPI 1.11

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
it.custom.printer.api.android.ScannerStatus Class Reference

## Public Member Functions
boolean | equals (Object aThat)

## Static Public Member Functions
static ScannerStatus | FillScannerStatusFromScannerFullStatus (long lStatusScanner)

## Public Attributes
boolean | stsSCANNEROPEN = false
boolean | stsSCANNERJAM = false
boolean | stsSCANNERENGINEON = false
boolean | stsSCANNERTICKETPRESENT = false
boolean | stsSCANNERSEARCHBARCODEON = false
boolean | stsSCANNERGRAYCREATED = false
boolean | stsSCANNERBWCREATED = false
boolean | stsSCANNERIMAGEROTATE180 = false
boolean | stsSCANNERCARDFOUND = false
boolean | stsSCANNERCARDNOTFOUND = false
boolean | stsSCANNERBARCODEFOUND = false
boolean | stsSCANNERBARCODENOTFOUND = false
boolean | stsSCANNERSEARCHING = false
boolean | stsSCANNERPAPEROK = false

## Detailed Description

This is the container class to hold the scanner status

## Member Function Documentation

boolean it.custom.printer.api.android.ScannerStatus.equals | ( | Object | aThat | ) |
| inline

Override equals

static ScannerStatus it.custom.printer.api.android.ScannerStatus.FillScannerStatusFromScannerFullStatus | ( | long | lStatusScanner | ) |
| inline static

## Member Data Documentation

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERBARCODEFOUND = false

Indicates that the scanner is in BARCODE FOUND Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERBARCODENOTFOUND = false

Indicates that the scanner is in BARCODE NOT FOUND Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERBWCREATED = false

Indicates that the scanner is in BW IMAGE CREATED Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERCARDFOUND = false

Indicates that the scanner is in CARD FOUND Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERCARDNOTFOUND = false

Indicates that the scanner is in CARD NOT FOUND Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERENGINEON = false

Indicates that the scanner is in ENGINE ON Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERGRAYCREATED = false

Indicates that the scanner is in GRAY IMAGE CREATED Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERIMAGEROTATE180 = false

Indicates that the scanner is in IMAGE ROTATE 180° Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERJAM = false

Indicates that the scanner is in JAMMED Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNEROPEN = false

Indicates that the scanner is in OPEN Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERPAPEROK = false

Indicates that the scanner is in PAPER AVAILABLE Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERSEARCHBARCODEON = false

Indicates that the scanner is in SEARCH BARCODE ENABLED Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERSEARCHING = false

Indicates that the scanner is in SEARCH IN PROGRESS Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.ScannerStatus.stsSCANNERTICKETPRESENT = false

Indicates that the scanner is in TICKET PRESENT Status. Refer to Printer manual to know if this status is supported by the device